// #autoload
// #name = New Score Screen
// #version = 1.0
// #date = 22 July 2002
// #status = release
// #author = @-Kaiten Commander
// #warrior = Kaiten Commander
// #email = kaiten@cb-tribes.co.uk
// #web = http://www.kaiten.barrysworld.net
// #description = Coloured Score Screen.

new GuiControlProfile ("NewScoreScreenProfile")
{
	fontType = $ShellFont;
	fontSize = $ShellMediumFontSize;
	fontColor = "0 255 255";
	fontColors[6] = $PlayerNameColor;
	fontColors[7] = $TribeTagColor;  
	fontColors[8] = $SmurfNameColor; 
	fontColors[9] = $BotNameColor;   
	autoSizeWidth = false;
	autoSizeHeight = false;
	tab = false;
	canKeyFocus = false;
};


package NewScoreScreen
{
        function ScoreScreen::addLine(%obj, %tag, %lineNum, %name)
        {
        	%yOffset = (%lineNum * 20) + 5;
        	$Hud[%tag].count++;
        	$Hud[%tag].childGui.resize( 3, 3, 586, %yOffset + 25 );
        	$Hud[%tag].data[%lineNum,0] = new GuiMLTextCtrl() 
        	{
        		profile = "NewScoreScreenProfile";
        		horizSizing = "right";
        		vertSizing = "bottom";
        		position = "0 " @ %yOffset;
        		extent = "566 22";
        		minExtent = "8 8";
        		visible = "1";
        		setFirstResponder = "0";
        		modal = "1";
        		helpTag = "0";
        		text = "";
        		allowColorChars = "1";
        	};
        	return 1;
        }
};
activatePackage(NewScoreScreen);